#!/usr/bin/env ruby
# testcase for KanjiNetwork by eto 2003-0227

require 'test/unit'
$LOAD_PATH << '../src'
require 'chise'
require 'network'
include CHISE

class TC_KanjiNetwork < Test::Unit::TestCase
  def test_network
    @kl = KanjiList.instance
    @kn = KanjiNetwork.new
    @kn.make_network(@kl.awase(0))
    @kn.out("min.dot") #途中状態を保存

    @gv = GraphvizOLE.new() #OLE version
    @gv.type = Graphviz::TWOPI
    @gv.target = 'svg'
    @gv.in  = "min.dot"
    @gv.out = "min.svg"
    @gv.generate()
  end
end

#----------------------------------------------------------------------end.
